%global pypi_name python-ironic-inspector-client


%{!?upstream_version: %global upstream_version %{version}%{?milestone}}

Name:           python-ironic-inspector-client
Version:        1.5.0
Release:        3%{?dist}
Provides:        python2-ironic-inspector-client = %{version}-%{release}
Summary:        Python client and CLI tool for Ironic Inspector

License:        ASL 2.0
URL:            https://launchpad.net/python-ironic-inspector-client
Source0:        https://pypi.python.org/packages/source/p/%{pypi_name}/%{pypi_name}-%{version}%{?milestone}.tar.gz

#patches_base=+2
Patch0001: 0001-Updated-from-global-requirements.patch
Patch0002: 0002-Switch-functional-tests-to-stable-mitaka-inspector.patch
Patch0003: 0003-Updated-from-global-requirements.patch
Patch0004: 0004-Updated-from-global-requirements.patch

BuildArch:      noarch
BuildRequires:  python-devel
BuildRequires:  python-pbr
BuildRequires:  python-setuptools

Requires:  python-cliff
Requires:  python-oslo-i18n
Requires:  python-oslo-utils
Requires:  python-openstackclient
Requires:  python-requests
Requires:  python-six

Obsoletes: python-ironic-discoverd < 1.1.0-3
Provides: python-ironic-discoverd = %{upstream_version}

%description
Ironic Inspector is an auxiliary service for discovering hardware properties
for a node managed by OpenStack Ironic. Hardware introspection or hardware
properties discovery is a process of getting hardware parameters required for
scheduling from a bare metal node, given it’s power management credentials
(e.g. IPMI address, user name and password).

This package contains Python client and command line tool for Ironic Inspector.

%prep
%setup -q -n %{pypi_name}-%{upstream_version}

%patch0001 -p1
%patch0002 -p1
%patch0003 -p1
%patch0004 -p1

# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info
# Let RPM handle the dependencies
rm -f {test-,}requirements.txt

%build
%{__python2} setup.py build

%install
%{__python2} setup.py install --skip-build --root %{buildroot}

%files
%doc README.rst LICENSE
%{python2_sitelib}/ironic_inspector_client*
%{python2_sitelib}/python_ironic_inspector_client*egg-info

%changelog
* Mon Jun 27 2016 Thierry Vignaud <<tvignaud@redhat.com>> 1.5.0-3
- Updated from global requirements

* Fri May 13 2016 Mike Burns <mburns@redhat.com> 1.5.0-2
- Updated from global requirements
- Switch functional tests to stable/mitaka inspector
- Updated from global requirements

* Fri Apr  1 2016 RDO <rdo-list@redhat.com> 1.5.0-1
- RC1 Rebuild for Mitaka RC1 
